Package org.gradle.api.tasks.testing

# Interface GroupTestEventReporter

All Superinterfaces:
  `AutoCloseable`, `TestEventReporter`

@Incubating public interface GroupTestEventReporter extends TestEventReporter
Reports test events, and child test event reporters.

Since:
  8.12

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TestEventReporter`
  `reportTest(String name, String displayName)`
  Create a child 'test' test event reporter.
  `GroupTestEventReporter`
  `reportTestGroup(String name)`
  Create a child group test event reporter.

  ### Methods inherited from interface org.gradle.api.tasks.testing.TestEventReporter

  `close, failed, failed, failed, metadata, metadata, output, skipped, started, succeeded`

- ## Method Details

  - ### reportTest

    TestEventReporter reportTest(String name, String displayName)
    Create a child 'test' test event reporter. This can be used, for example, to emit events for each method in a tested class.

    Since this is a 'test' node, it will not have any children. To add children, use `reportTestGroup(String)`.

    Parameters:
      `name` - the name of the test
      `displayName` - the display name of the test
    Returns:
      the nested test event reporter
    Since:
      8.12

  - ### reportTestGroup

    GroupTestEventReporter reportTestGroup(String name)
    Create a child group test event reporter. This can be used, for example, to emit events for a tested class, or a parameterized test method (but not the individual parameterized tests).

    Since this is a group, it can have children. To add a 'test' node, use `reportTest(String, String)`.

    Parameters:
      `name` - the name of the composite, which will also be used as the display name
    Returns:
      the nested test event reporter
    Since:
      8.12